Bug 172772 - [NEW PORT] devel/pear-SebastianBergmann_FinderFacade: Convenience wrapper for Symfony's Finder component
Summary: [NEW PORT] devel/pear-SebastianBergmann_FinderFacade: Convenience wrapper for...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-16 08:30 UTC by Gasol Wu
Modified: 2013-01-02 18:40 UTC (History)
0 users

See Also:


Attachments
.shar (2.47 KB, text/plain)
2012-10-16 08:30 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2012-10-16 08:30:00 UTC
FinderFacade is a convenience wrapper for Symfony's Finder component.

WWW: https://github.com/sebastianbergmann/finder-facade

This ports depends on following PR:
ports/172765
ports/172771

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2012-10-16 08:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-10-29 09:33:36 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-12-03 12:12:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-01-02 18:35:19 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 5 dfilter service freebsd_committer 2013-01-02 18:35:35 UTC
Author: rm
Date: Wed Jan  2 18:34:58 2013
New Revision: 309830
URL: http://svnweb.freebsd.org/changeset/ports/309830

Log:
  FinderFacade is a convenience wrapper for Symfony's Finder component.
  
  WWW: https://github.com/sebastianbergmann/finder-facade
  
  PR:		172772
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>

Added:
  head/devel/pear-SebastianBergmann_FinderFacade/
  head/devel/pear-SebastianBergmann_FinderFacade/Makefile   (contents, props changed)
  head/devel/pear-SebastianBergmann_FinderFacade/distinfo   (contents, props changed)
  head/devel/pear-SebastianBergmann_FinderFacade/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Wed Jan  2 18:33:08 2013	(r309829)
+++ head/devel/Makefile	Wed Jan  2 18:34:58 2013	(r309830)
@@ -3072,6 +3072,7 @@
     SUBDIR += pear-Pager
     SUBDIR += pear-PhpDocumentor
     SUBDIR += pear-Pirum
+    SUBDIR += pear-SebastianBergmann_FinderFacade
     SUBDIR += pear-SebastianBergmann_PHPLOC
     SUBDIR += pear-Structure_LinkedList
     SUBDIR += pear-Structures_DataGrid

Added: head/devel/pear-SebastianBergmann_FinderFacade/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_FinderFacade/Makefile	Wed Jan  2 18:34:58 2013	(r309830)
@@ -0,0 +1,31 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	FinderFacade
+PORTVERSION=	1.0.5
+CATEGORIES=	devel pear
+MASTER_SITES=	http://pear.phpunit.de/get/
+PKGNAMEPREFIX=	pear-SebastianBergmann_
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	Convenience wrapper for Symfony\'s Finder component
+
+LICENSE=	BSD
+
+BUILD_DEPENDS=	pear>=1.9.4:${PORTSDIR}/devel/pear \
+		pear-TheSeer_fDOMDocument>=1.3.1:${PORTSDIR}/devel/pear-TheSeer_fDOMDocument \
+		pear-Symfony_Component_Finder>=2.1.0:${PORTSDIR}/devel/pear-Symfony_Component_Finder \
+		${PEARDIR}/.channels/pear.phpunit.de.reg:${PORTSDIR}/devel/pear-channel-phpunit
+RUN_DEPENDS=	pear>=1.9.4:${PORTSDIR}/devel/pear \
+		pear-TheSeer_fDOMDocument>=1.3.1:${PORTSDIR}/devel/pear-TheSeer_fDOMDocument \
+		pear-Symfony_Component_Finder>=2.1.0:${PORTSDIR}/devel/pear-Symfony_Component_Finder \
+		${PEARDIR}/.channels/pear.phpunit.de.reg:${PORTSDIR}/devel/pear-channel-phpunit
+
+PEAR_CHANNEL=	phpunit
+PEAR_AUTOINSTALL=	yes
+
+IGNORE_WITH_PHP=52
+
+.include <bsd.port.pre.mk>
+.include "${PORTSDIR}/devel/pear/bsd.pear.mk"
+.include <bsd.port.post.mk>

Added: head/devel/pear-SebastianBergmann_FinderFacade/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_FinderFacade/distinfo	Wed Jan  2 18:34:58 2013	(r309830)
@@ -0,0 +1,2 @@
+SHA256 (PEAR/FinderFacade-1.0.5.tgz) = 784bb718197a49495ced77bb0535dc46ba31541f02f674de941850bb6a55b951
+SIZE (PEAR/FinderFacade-1.0.5.tgz) = 4498

Added: head/devel/pear-SebastianBergmann_FinderFacade/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_FinderFacade/pkg-descr	Wed Jan  2 18:34:58 2013	(r309830)
@@ -0,0 +1,3 @@
+FinderFacade is a convenience wrapper for Symfony's Finder component.
+
+WWW: https://github.com/sebastianbergmann/finder-facade
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"